<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox demo</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        html, body {
            width: 100%;
            height: 100%;
        }

        .container {
            display: flex;
            width: 100%;
            height: 100%;
            flex-direction: row;
            flex-wrap: wrap;
        }

        .container div {
            border: 1px solid darkmagenta;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #div1 {
            flex-basis: 100%;
            height: 50px;
        }
        #div2 {
            flex: 1;   
        }
        #div3 {
            flex: 3;
            height: calc(100% - 129px);   
        }
        #div4 {
            flex: 1;   
        }
        #div5 {
            flex: 100%; 
            height: 75px;  
        }
    </style>
</head>
<body>
    <div class="container">
        <div id="div1">Header</div>
        <div id="div2">2</div>
        <div id="div3">3</div>
        <div id="div4">4</div>
        <div id="div5">5</div>
    </div>
</body>
</html>